Package com.google.android.exoplayer2.source

## Class ClippingMediaSource.IllegalClippingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.source.ClippingMediaSource.IllegalClippingException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    ClippingMediaSource

      public static final class ClippingMediaSource.IllegalClippingException
      extends IOException

  Thrown when a `ClippingMediaSource` cannot clip its wrapped source.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `ClippingMediaSource.IllegalClippingException.Reason` | The reason clipping failed.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `reason` | The reason clipping failed.
    `static int` | `REASON_INVALID_PERIOD_COUNT` | The wrapped source doesn't consist of a single period.
    `static int` | `REASON_NOT_SEEKABLE_TO_START` | The wrapped source is not seekable and a non-zero clipping start position was specified.
    `static int` | `REASON_START_EXCEEDS_END` | The wrapped source ends before the specified clipping start position.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IllegalClippingException​(int reason)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REASON_INVALID_PERIOD_COUNT

          public static final int REASON_INVALID_PERIOD_COUNT

      The wrapped source doesn't consist of a single period.
      See Also:
        Constant Field Values

    - #### REASON_NOT_SEEKABLE_TO_START

          public static final int REASON_NOT_SEEKABLE_TO_START

      The wrapped source is not seekable and a non-zero clipping start position was specified.
      See Also:
        Constant Field Values

    - #### REASON_START_EXCEEDS_END

          public static final int REASON_START_EXCEEDS_END

      The wrapped source ends before the specified clipping start position.
      See Also:
        Constant Field Values

    - #### reason

          @Reason
          public final int reason

      The reason clipping failed.

  - ### Constructor Detail

    - #### IllegalClippingException

          public IllegalClippingException​(@Reason
                                          int reason)

      Parameters:
        `reason` - The reason clipping failed.